# ACE_Less_Than< TYPE > Class Template Reference

Function object for determining whether the first object of the given type is less than the second object of the same type. More...

`#include <Functor_T.h>`

List of all members.

## Public Member Functions

bool | operator() (const TYPE &lhs, const TYPE &rhs) const
| Simply calls operator<.

## Detailed Description

### template<class TYPE>
class ACE_Less_Than< TYPE >

Function object for determining whether the first object of the given type is less than the second object of the same type.

## Member Function Documentation

template<class TYPE>
ACE_INLINE bool ACE_Less_Than< TYPE >::operator() | ( | const TYPE & | lhs,
|  | const TYPE & | rhs
| ) | const

| Simply calls operator<.

The documentation for this class was generated from the following files:

- Functor_T.h
- Functor_T.inl